GET /teams/{teamId}/flowcharts/{id}
Retorna flowchart completo (com document).
- Access: Team member
- Service:
https://api-flow.axuz.net
Accepted authentication
sessionCookie— Sessão plena Axuz (cookie de sessão da casa). Sessão restrita é 403 enrollment_required.bearerSession— JWT de acesso da sessão em `Authorization: Bearer`.
Serve GET /teams/{teamId}/flowcharts/{id} — devolve o Flowchart completo (com document + version).
Motivo: primeira carga do editor. Distinção NotFound (404) vs erro DB (500) explícita pro cliente.
Entradas: URL {teamId}/{id}, JWT.
Retorno: 200 Flowchart, 404 quando não existe/soft-delete, 500 DB.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamId | path | string | yes | |
id | path | string | yes |
Responses
200
OK.
| Name | Type | Required | Description |
|---|---|---|---|
id | string<uuid> | yes | |
team_id | string<uuid> | yes | |
created_by | string<uuid> | yes | |
title | string | yes | |
document | FlowDocument | yes | Shape enxuta espelhando |
document.nodes | array<FlowNode> | yes | |
document.nodes[].id | string | yes | |
document.nodes[].type | string | yes | |
document.nodes[].position | FlowXY | yes | |
document.nodes[].position.x | number | yes | |
document.nodes[].position.y | number | yes | |
document.nodes[].width | integer | null | no | |
document.nodes[].height | integer | null | no | |
document.nodes[].parentNode | string | no | |
document.nodes[].extent | string | no | |
document.nodes[].data | object | yes | |
document.nodes[].style | object | no | |
document.edges | array<FlowEdge> | yes | |
document.edges[].id | string | yes | |
document.edges[].source | string | yes | |
document.edges[].target | string | yes | |
document.edges[].type | string | no | |
document.edges[].data | object | no | |
version | integer | yes | |
public_share_token | string | null | no | Legacy single-token share. |
public_share_expires_at | string<date-time> | null | no | |
has_share | boolean | yes | |
created_at | string<date-time> | yes | |
updated_at | string<date-time> | yes |
400
Payload inválido.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
401
JWT ausente/expirado.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
403
Sem permissao (nao e owner/admin; token sem escopo; token de integracao em rota nao permitida)
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
404
Recurso não encontrado ou fora de escopo.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
429
Limite de requisições excedido.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
500
Falha inesperada (log + trace).
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
Examples
"Try it" is turned off in this reference. Use the examples with your test credential.
curl
curl -sS -X GET 'https://api-flow.axuz.net/teams/TEAM_ID/flowcharts/ID' \
-H "Authorization: Bearer $AXUZ_TOKEN"Node.js
const res = await fetch("https://api-flow.axuz.net/teams/TEAM_ID/flowcharts/ID", {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.AXUZ_TOKEN}`,
},
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());Python
import os
import requests
res = requests.request(
"GET",
"https://api-flow.axuz.net/teams/TEAM_ID/flowcharts/ID",
headers={
"Authorization": f"Bearer {os.environ['AXUZ_TOKEN']}",
},
timeout=30,
)
res.raise_for_status()
print(res.json())